"use strict";

var _react = _interopRequireDefault(require("react"));
var _box = _interopRequireDefault(require("./box"));
var _text = _interopRequireDefault(require("../text/text"));
var _reactNative = require("@testing-library/react-native");
var _themeContext = require("../../../theme/src/theme-context");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
jest.useFakeTimers();
describe("Atoms/Box", () => {
  it("passes the basic snapshot test", () => {
    const tree = (0, _reactNative.render)( /*#__PURE__*/_react.default.createElement(_themeContext.ThemeProvider, null, /*#__PURE__*/_react.default.createElement(_box.default, {
      w: 10,
      h: 10
    }))).toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("renders the correct text", () => {
    const {
      getByText
    } = (0, _reactNative.render)( /*#__PURE__*/_react.default.createElement(_themeContext.ThemeProvider, null, /*#__PURE__*/_react.default.createElement(_box.default, null, /*#__PURE__*/_react.default.createElement(_text.default, null, "Test Text"))));
    expect(getByText("Test Text")).toBeTruthy();
  });
  it("renders correctly with different props", () => {
    const tree = (0, _reactNative.render)( /*#__PURE__*/_react.default.createElement(_themeContext.ThemeProvider, null, /*#__PURE__*/_react.default.createElement(_box.default, {
      bgColor: "red"
    }, "Test Text"))).toJSON();
    expect(tree).toMatchSnapshot();
  });
});
//# sourceMappingURL=box.spec.js.map