"use strict";

var _react = _interopRequireDefault(require("react"));
var _skeleton = _interopRequireDefault(require("./skeleton"));
var _skeletonCircle = _interopRequireDefault(require("./skeleton-circle"));
var _skeletonText = _interopRequireDefault(require("./skeleton-text"));
var _reactNative = require("@testing-library/react-native");
var _themeContext = require("../../../theme/src/theme-context");
var _reactNative2 = require("react-native");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
jest.useFakeTimers();
describe("Atoms/Skeleton", () => {
  it("passes the snapshot test", () => {
    const component = (0, _reactNative.render)( /*#__PURE__*/_react.default.createElement(_themeContext.ThemeProvider, null, /*#__PURE__*/_react.default.createElement(_skeleton.default, null, /*#__PURE__*/_react.default.createElement(_reactNative2.Text, null, "Test"))));
    expect(component).toMatchSnapshot();
  });
  it("should render with default props", () => {
    const component = (0, _reactNative.render)( /*#__PURE__*/_react.default.createElement(_themeContext.ThemeProvider, null, /*#__PURE__*/_react.default.createElement(_skeleton.default, null, /*#__PURE__*/_react.default.createElement(_reactNative2.Text, null, "Test"))));
    expect(component).toBeTruthy();
  });
  it("should render with custom props", () => {
    const component = (0, _reactNative.render)( /*#__PURE__*/_react.default.createElement(_themeContext.ThemeProvider, null, /*#__PURE__*/_react.default.createElement(_skeleton.default, {
      startColor: "neutral.100",
      endColor: "neutral.200",
      isLoaded: false,
      speed: 800,
      fadeDuration: 200
    }, /*#__PURE__*/_react.default.createElement(_reactNative2.Text, null, "Test"))));
    expect(component).toBeTruthy();
  });
});
describe("Atoms/SkeletonCircle", () => {
  it("passes the snapshot test", () => {
    const component = (0, _reactNative.render)( /*#__PURE__*/_react.default.createElement(_themeContext.ThemeProvider, null, /*#__PURE__*/_react.default.createElement(_skeletonCircle.default, {
      boxSize: 20
    })));
    expect(component).toMatchSnapshot();
  });
});
describe("Atoms/SkeletonText", () => {
  it("passes the snapshot test", () => {
    const component = (0, _reactNative.render)( /*#__PURE__*/_react.default.createElement(_themeContext.ThemeProvider, null, /*#__PURE__*/_react.default.createElement(_skeletonText.default, {
      noOfLines: 3,
      skeletonHeight: 15,
      spacing: "3"
    }, /*#__PURE__*/_react.default.createElement(_reactNative2.Text, null, "Test"))));
    expect(component).toMatchSnapshot();
  });
});
//# sourceMappingURL=skeleton.spec.js.map