"use strict";

var _react = _interopRequireDefault(require("react"));
var _reactNative = require("@testing-library/react-native");
var _alert = _interopRequireDefault(require("./alert"));
var _themeContext = require("../../../theme/src/theme-context");
var _text = _interopRequireDefault(require("../../atoms/text/text"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
jest.useFakeTimers();
describe("Molecules/Alert", () => {
  it("passes the snapshot test with default props", () => {
    const tree = (0, _reactNative.render)( /*#__PURE__*/_react.default.createElement(_themeContext.ThemeProvider, null, /*#__PURE__*/_react.default.createElement(_alert.default, null, /*#__PURE__*/_react.default.createElement(_text.default, null, "Test")))).toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("passes the snapshot test with title prop", () => {
    const tree = (0, _reactNative.render)( /*#__PURE__*/_react.default.createElement(_themeContext.ThemeProvider, null, /*#__PURE__*/_react.default.createElement(_alert.default, {
      title: "Test Title"
    }, /*#__PURE__*/_react.default.createElement(_text.default, null, "Test")))).toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("passes the snapshot test with description prop", () => {
    const tree = (0, _reactNative.render)( /*#__PURE__*/_react.default.createElement(_themeContext.ThemeProvider, null, /*#__PURE__*/_react.default.createElement(_alert.default, {
      description: "Test Description"
    }, /*#__PURE__*/_react.default.createElement(_text.default, null, "Test")))).toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("passes the snapshot test with withCloseButton prop", () => {
    const tree = (0, _reactNative.render)( /*#__PURE__*/_react.default.createElement(_themeContext.ThemeProvider, null, /*#__PURE__*/_react.default.createElement(_alert.default, {
      withCloseButton: true
    }, /*#__PURE__*/_react.default.createElement(_text.default, null, "Test")))).toJSON();
    expect(tree).toMatchSnapshot();
  });
});
//# sourceMappingURL=alert.spec.js.map