import React from "react";
import { render } from "@testing-library/react-native";
import Grid from "./grid";
import { ThemeProvider } from "../../../theme/src/theme-context";
import Box from "../box/box";
import Text from "../text/text";
jest.useFakeTimers();
describe("Atoms/Grid", () => {
  it("passes the snapshot test with default props", () => {
    const tree = render( /*#__PURE__*/React.createElement(ThemeProvider, null, /*#__PURE__*/React.createElement(Grid, null, /*#__PURE__*/React.createElement(Box, null, /*#__PURE__*/React.createElement(Text, null, "Test"))))).toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("passes the snapshot test with custom numCols", () => {
    const tree = render( /*#__PURE__*/React.createElement(ThemeProvider, null, /*#__PURE__*/React.createElement(Grid, {
      numCols: 3
    }, /*#__PURE__*/React.createElement(Box, null, /*#__PURE__*/React.createElement(Text, null, "Test")), /*#__PURE__*/React.createElement(Box, null, /*#__PURE__*/React.createElement(Text, null, "Test")), /*#__PURE__*/React.createElement(Box, null, /*#__PURE__*/React.createElement(Text, null, "Test"))))).toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("passes the snapshot test with custom spacing", () => {
    const tree = render( /*#__PURE__*/React.createElement(ThemeProvider, null, /*#__PURE__*/React.createElement(Grid, {
      spacing: "5"
    }, /*#__PURE__*/React.createElement(Box, null, /*#__PURE__*/React.createElement(Text, null, "Test"))))).toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("passes the snapshot test with custom spacingX", () => {
    const tree = render( /*#__PURE__*/React.createElement(ThemeProvider, null, /*#__PURE__*/React.createElement(Grid, {
      spacingX: "2"
    }, /*#__PURE__*/React.createElement(Box, null, /*#__PURE__*/React.createElement(Text, null, "Test"))))).toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("passes the snapshot test with custom spacingY", () => {
    const tree = render( /*#__PURE__*/React.createElement(ThemeProvider, null, /*#__PURE__*/React.createElement(Grid, {
      spacingY: "2"
    }, /*#__PURE__*/React.createElement(Box, null, /*#__PURE__*/React.createElement(Text, null, "Test"))))).toJSON();
    expect(tree).toMatchSnapshot();
  });
});
//# sourceMappingURL=grid.spec.js.map