import React from "react";
import { render } from "@testing-library/react-native";
import ScaleFade from "./scale-fade";
import Text from "../text/text";
import { ThemeProvider } from "../../../theme/src/theme-context";
jest.useFakeTimers();
describe("Atoms/ScaleFade", () => {
  it("passes the snapshot test when show is true", () => {
    const tree = render( /*#__PURE__*/React.createElement(ThemeProvider, null, /*#__PURE__*/React.createElement(ScaleFade, {
      show: true
    }, /*#__PURE__*/React.createElement(Text, null, "This is a test")))).toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("passes the snapshot test when show is false", () => {
    const tree = render( /*#__PURE__*/React.createElement(ThemeProvider, null, /*#__PURE__*/React.createElement(ScaleFade, {
      show: false
    }, /*#__PURE__*/React.createElement(Text, null, "This is a test")))).toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("passes the snapshot test when initialScale is set", () => {
    const tree = render( /*#__PURE__*/React.createElement(ThemeProvider, null, /*#__PURE__*/React.createElement(ScaleFade, {
      show: true,
      initialScale: 0.5
    }, /*#__PURE__*/React.createElement(Text, null, "This is a test")))).toJSON();
    expect(tree).toMatchSnapshot();
  });
});
//# sourceMappingURL=scale-fade.spec.js.map