import React from "react";
import { render } from "@testing-library/react-native";
import SlideFade from "./slide-fade";
import Text from "../text/text";
import { ThemeProvider } from "../../../theme/src/theme-context";
jest.useFakeTimers();
describe("Atoms/SlideFade", () => {
  it("passes the snapshot test when show is true", () => {
    const tree = render( /*#__PURE__*/React.createElement(ThemeProvider, null, /*#__PURE__*/React.createElement(SlideFade, {
      show: true
    }, /*#__PURE__*/React.createElement(Text, null, "This is a test")))).toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("passes the snapshot test when show is false", () => {
    const tree = render( /*#__PURE__*/React.createElement(ThemeProvider, null, /*#__PURE__*/React.createElement(SlideFade, {
      show: false
    }, /*#__PURE__*/React.createElement(Text, null, "This is a test")))).toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("passes the snapshot test when offsetX is set", () => {
    const tree = render( /*#__PURE__*/React.createElement(ThemeProvider, null, /*#__PURE__*/React.createElement(SlideFade, {
      show: true,
      offsetX: 10
    }, /*#__PURE__*/React.createElement(Text, null, "This is a test")))).toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("passes the snapshot test when offsetY is set", () => {
    const tree = render( /*#__PURE__*/React.createElement(ThemeProvider, null, /*#__PURE__*/React.createElement(SlideFade, {
      show: true,
      offsetY: 20
    }, /*#__PURE__*/React.createElement(Text, null, "This is a test")))).toJSON();
    expect(tree).toMatchSnapshot();
  });
});
//# sourceMappingURL=slide-fade.spec.js.map