import React from "react";
import { render } from "@testing-library/react-native";
import Accordion, { AccordionItem, AccordionButton, AccordionPanel } from "./accordion";
import { ThemeProvider } from "../../../theme/src/theme-context";
import Text from "../../atoms/text/text";
jest.useFakeTimers();
describe("Molecules/Accordion", () => {
  it("passes the snapshot test with default props", () => {
    const tree = render( /*#__PURE__*/React.createElement(ThemeProvider, null, /*#__PURE__*/React.createElement(Accordion, null, /*#__PURE__*/React.createElement(AccordionItem, null, /*#__PURE__*/React.createElement(AccordionButton, null, /*#__PURE__*/React.createElement(Text, null, "Test")), /*#__PURE__*/React.createElement(AccordionPanel, null, /*#__PURE__*/React.createElement(Text, null, "Test")))))).toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("passes the snapshot test with multiple items", () => {
    const tree = render( /*#__PURE__*/React.createElement(ThemeProvider, null, /*#__PURE__*/React.createElement(Accordion, null, /*#__PURE__*/React.createElement(AccordionItem, null, /*#__PURE__*/React.createElement(AccordionButton, null, /*#__PURE__*/React.createElement(Text, null, "Test")), /*#__PURE__*/React.createElement(AccordionPanel, null, /*#__PURE__*/React.createElement(Text, null, "Test"))), /*#__PURE__*/React.createElement(AccordionItem, null, /*#__PURE__*/React.createElement(AccordionButton, null, /*#__PURE__*/React.createElement(Text, null, "Test")), /*#__PURE__*/React.createElement(AccordionPanel, null, /*#__PURE__*/React.createElement(Text, null, "Test")))))).toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("passes the snapshot test with allowMultiple prop", () => {
    const tree = render( /*#__PURE__*/React.createElement(ThemeProvider, null, /*#__PURE__*/React.createElement(Accordion, {
      allowMultiple: true
    }, /*#__PURE__*/React.createElement(AccordionItem, null, /*#__PURE__*/React.createElement(AccordionButton, null, /*#__PURE__*/React.createElement(Text, null, "Test")), /*#__PURE__*/React.createElement(AccordionPanel, null, /*#__PURE__*/React.createElement(Text, null, "Test"))), /*#__PURE__*/React.createElement(AccordionItem, null, /*#__PURE__*/React.createElement(AccordionButton, null, /*#__PURE__*/React.createElement(Text, null, "Test")), /*#__PURE__*/React.createElement(AccordionPanel, null, /*#__PURE__*/React.createElement(Text, null, "Test")))))).toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("passes the snapshot test with allowToggle prop", () => {
    const tree = render( /*#__PURE__*/React.createElement(ThemeProvider, null, /*#__PURE__*/React.createElement(Accordion, {
      allowToggle: true
    }, /*#__PURE__*/React.createElement(AccordionItem, null, /*#__PURE__*/React.createElement(AccordionButton, null, /*#__PURE__*/React.createElement(Text, null, "Test")), /*#__PURE__*/React.createElement(AccordionPanel, null, /*#__PURE__*/React.createElement(Text, null, "Test")))))).toJSON();
    expect(tree).toMatchSnapshot();
  });
});
//# sourceMappingURL=accordion.spec.js.map