/// <reference types="react" />
import { ComponentTypes, StyleFunctionContainer } from "../../theme/src/types";
/**
 * Hook to manage a hovered state and compose extra styling while a component is hovered
 * @param props The props object of a component
 * @param styleFunctions List of style functions supported by the component. By default, boxStyleFunctions are used
 * @param activeComponentType Type of the component inside which the hook is used. By default, this value is set to 'basic'
 * @param animateable Whether the styles should be dynamically animated using Moti. By default, this value is set to 'true'
 * @param parentStateValue A override value to control the 'hovered' state instead of the local state value
 * @returns The props object with updated styles according the current 'hovered' state
 */
export declare const useHoveredState: (props: Record<string, any>, styleFunctions?: StyleFunctionContainer[], activeComponentType?: ComponentTypes, animateable?: boolean, parentStateValue?: boolean | undefined) => {
    hovered: boolean;
    setHovered: import("react").Dispatch<import("react").SetStateAction<boolean>>;
    propsWithHoveredStyles: Record<string, any>;
};
//# sourceMappingURL=useHoveredState.d.ts.map